<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2021-02-20T09:07:53.073Z",
    "scenariosCreated": 33701,
    "scenariosCompleted": 876,
    "requestsCompleted": 3431,
    "latency": {
      "min": 254.6,
      "max": 21317.3,
      "median": 987,
      "p95": 1404,
      "p99": 18373.2
    },
    "rps": {
      "count": 36256,
      "mean": 42.08
    },
    "scenarioDuration": {
      "min": 2446.9,
      "max": 12358.6,
      "median": 3307.1,
      "p95": 3660.9,
      "p99": 4070.3
    },
    "scenarioCounts": {
      "Fuzz Spec": 11237,
      "Fuzz FixedPrice": 11100,
      "Fuzz Minute": 11364
    },
    "errors": {
      "ECONNREFUSED": 32824,
      "ETIMEDOUT": 1
    },
    "codes": {
      "200": 875,
      "302": 2555,
      "500": 1
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 60,
        "arrivalRate": 5,
        "name": "Warm up"
      },
      {
        "duration": 120,
        "arrivalRate": 5,
        "rampTo": 50,
        "name": "Ramp up load"
      },
      {
        "duration": 600,
        "arrivalRate": 50,
        "name": "Sustained load"
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2021-02-20T08:53:41.188Z",
      "scenariosCreated": 49,
      "scenariosCompleted": 33,
      "requestsCompleted": 88,
      "latency": {
        "min": 267.3,
        "max": 1253.9,
        "median": 882,
        "p95": 1087.1,
        "p99": 1211.1
      },
      "rps": {
        "count": 94,
        "mean": 9.64
      },
      "scenarioDuration": {
        "min": 3244.1,
        "max": 3675.6,
        "median": 3305,
        "p95": 3517.5,
        "p99": 3675.6
      },
      "scenarioCounts": {
        "Fuzz Spec": 21,
        "Fuzz FixedPrice": 18,
        "Fuzz Minute": 10
      },
      "errors": {},
      "codes": {
        "200": 43,
        "302": 45
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:53:51.185Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 98,
      "latency": {
        "min": 273.3,
        "max": 1089.7,
        "median": 768.6,
        "p95": 1034.7,
        "p99": 1088.7
      },
      "rps": {
        "count": 99,
        "mean": 9.91
      },
      "scenarioDuration": {
        "min": 3220.9,
        "max": 3501.3,
        "median": 3311.9,
        "p95": 3430.7,
        "p99": 3501.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 16,
        "Fuzz Minute": 13,
        "Fuzz FixedPrice": 21
      },
      "errors": {},
      "codes": {
        "200": 49,
        "302": 49
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 7,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:54:01.185Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 101,
      "latency": {
        "min": 273.5,
        "max": 6296.2,
        "median": 526.2,
        "p95": 1273.9,
        "p99": 3766.2
      },
      "rps": {
        "count": 100,
        "mean": 10
      },
      "scenarioDuration": {
        "min": 3247.2,
        "max": 8659.7,
        "median": 3342.2,
        "p95": 3700.2,
        "p99": 8659.7
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 16,
        "Fuzz Minute": 20,
        "Fuzz Spec": 14
      },
      "errors": {},
      "codes": {
        "200": 51,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:54:11.186Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 101,
      "latency": {
        "min": 265.5,
        "max": 1393.4,
        "median": 831,
        "p95": 1017.2,
        "p99": 1346.9
      },
      "rps": {
        "count": 101,
        "mean": 10.1
      },
      "scenarioDuration": {
        "min": 3212.7,
        "max": 3753.4,
        "median": 3320.1,
        "p95": 3645,
        "p99": 3753.4
      },
      "scenarioCounts": {
        "Fuzz Spec": 20,
        "Fuzz FixedPrice": 18,
        "Fuzz Minute": 12
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 51
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:54:21.183Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 100,
      "latency": {
        "min": 275.9,
        "max": 1088.3,
        "median": 622.5,
        "p95": 1002.3,
        "p99": 1070
      },
      "rps": {
        "count": 100,
        "mean": 10.01
      },
      "scenarioDuration": {
        "min": 3203.5,
        "max": 3462.2,
        "median": 3301.3,
        "p95": 3412.9,
        "p99": 3462.2
      },
      "scenarioCounts": {
        "Fuzz Minute": 14,
        "Fuzz FixedPrice": 15,
        "Fuzz Spec": 21
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:54:31.184Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 101,
      "latency": {
        "min": 265.1,
        "max": 2194.1,
        "median": 347.2,
        "p95": 1014.3,
        "p99": 1636.8
      },
      "rps": {
        "count": 100,
        "mean": 10
      },
      "scenarioDuration": {
        "min": 3206.6,
        "max": 4577.7,
        "median": 3307.1,
        "p95": 3470.3,
        "p99": 4577.7
      },
      "scenarioCounts": {
        "Fuzz Minute": 19,
        "Fuzz Spec": 16,
        "Fuzz FixedPrice": 15
      },
      "errors": {},
      "codes": {
        "200": 51,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 5,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:54:41.184Z",
      "scenariosCreated": 66,
      "scenariosCompleted": 52,
      "requestsCompleted": 127,
      "latency": {
        "min": 267.1,
        "max": 1179.4,
        "median": 869.8,
        "p95": 991.1,
        "p99": 1074.5
      },
      "rps": {
        "count": 130,
        "mean": 13.01
      },
      "scenarioDuration": {
        "min": 3197,
        "max": 3590.8,
        "median": 3298.7,
        "p95": 3387.4,
        "p99": 3587.1
      },
      "scenarioCounts": {
        "Fuzz Minute": 22,
        "Fuzz Spec": 19,
        "Fuzz FixedPrice": 25
      },
      "errors": {},
      "codes": {
        "200": 63,
        "302": 64
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 30,
      "pendingRequests": 8,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:54:51.188Z",
      "scenariosCreated": 109,
      "scenariosCompleted": 103,
      "requestsCompleted": 201,
      "latency": {
        "min": 254.6,
        "max": 1183.3,
        "median": 853.6,
        "p95": 1030.9,
        "p99": 1097.3
      },
      "rps": {
        "count": 210,
        "mean": 21.08
      },
      "scenarioDuration": {
        "min": 3207.6,
        "max": 3628.9,
        "median": 3300.2,
        "p95": 3433.1,
        "p99": 3627.5
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 39,
        "Fuzz Spec": 27,
        "Fuzz Minute": 43
      },
      "errors": {},
      "codes": {
        "200": 100,
        "302": 101
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 36,
      "pendingRequests": 17,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:55:01.185Z",
      "scenariosCreated": 151,
      "scenariosCompleted": 25,
      "requestsCompleted": 25,
      "latency": {
        "min": 276.8,
        "max": 1170.3,
        "median": 912.5,
        "p95": 1124.8,
        "p99": 1170.3
      },
      "rps": {
        "count": 170,
        "mean": 17.02
      },
      "scenarioDuration": {
        "min": 3225.5,
        "max": 3535.6,
        "median": 3320.1,
        "p95": 3490,
        "p99": 3535.6
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 50,
        "Fuzz Spec": 45,
        "Fuzz Minute": 56
      },
      "errors": {
        "ECONNREFUSED": 162
      },
      "codes": {
        "200": 6,
        "302": 19
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 162,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:55:11.186Z",
      "scenariosCreated": 190,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 956.6,
        "max": 956.6,
        "median": 956.6,
        "p95": 956.6,
        "p99": 956.6
      },
      "rps": {
        "count": 191,
        "mean": 19.16
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 67,
        "Fuzz Minute": 61,
        "Fuzz FixedPrice": 62
      },
      "errors": {
        "ECONNREFUSED": 190
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 352,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:55:21.186Z",
      "scenariosCreated": 216,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 955,
        "max": 955,
        "median": 955,
        "p95": 955,
        "p99": 955
      },
      "rps": {
        "count": 217,
        "mean": 21.77
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 65,
        "Fuzz Spec": 79,
        "Fuzz FixedPrice": 72
      },
      "errors": {
        "ECONNREFUSED": 216
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 568,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:55:31.187Z",
      "scenariosCreated": 256,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 256,
        "mean": 25.6
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 96,
        "Fuzz FixedPrice": 74,
        "Fuzz Minute": 86
      },
      "errors": {
        "ECONNREFUSED": 256
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 824,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:55:41.189Z",
      "scenariosCreated": 317,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 317,
        "mean": 31.89
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 113,
        "Fuzz Spec": 97,
        "Fuzz FixedPrice": 107
      },
      "errors": {
        "ECONNREFUSED": 317
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 1141,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:55:51.137Z",
      "scenariosCreated": 337,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 337,
        "mean": 33.9
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 106,
        "Fuzz Minute": 124,
        "Fuzz Spec": 107
      },
      "errors": {
        "ECONNREFUSED": 337
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 1478,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:56:01.137Z",
      "scenariosCreated": 385,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1021.2,
        "max": 1021.2,
        "median": 1021.2,
        "p95": 1021.2,
        "p99": 1021.2
      },
      "rps": {
        "count": 386,
        "mean": 38.68
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 130,
        "Fuzz FixedPrice": 128,
        "Fuzz Minute": 127
      },
      "errors": {
        "ECONNREFUSED": 385
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 1863,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:56:11.136Z",
      "scenariosCreated": 405,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 405,
        "mean": 40.58
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 141,
        "Fuzz FixedPrice": 135,
        "Fuzz Minute": 129
      },
      "errors": {
        "ECONNREFUSED": 405
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 2268,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:56:21.136Z",
      "scenariosCreated": 451,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 451,
        "mean": 45.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 158,
        "Fuzz Spec": 141,
        "Fuzz Minute": 152
      },
      "errors": {
        "ECONNREFUSED": 451
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 2719,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:56:31.136Z",
      "scenariosCreated": 493,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 493,
        "mean": 49.3
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 163,
        "Fuzz FixedPrice": 161,
        "Fuzz Minute": 169
      },
      "errors": {
        "ECONNREFUSED": 493
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 3212,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:56:41.135Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 926.5,
        "max": 926.5,
        "median": 926.5,
        "p95": 926.5,
        "p99": 926.5
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 186,
        "Fuzz FixedPrice": 163,
        "Fuzz Spec": 150
      },
      "errors": {
        "ECONNREFUSED": 499
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 3711,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:56:51.134Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 152,
        "Fuzz Spec": 166,
        "Fuzz Minute": 182
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 4211,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:57:01.134Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 160,
        "Fuzz Spec": 184,
        "Fuzz FixedPrice": 156
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 4711,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:57:11.135Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 177,
        "Fuzz FixedPrice": 166,
        "Fuzz Spec": 157
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 5211,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:57:21.133Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 167,
        "Fuzz Spec": 172,
        "Fuzz Minute": 161
      },
      "errors": {
        "ECONNREFUSED": 499
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 5711,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:57:31.132Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 960.8,
        "max": 960.8,
        "median": 960.8,
        "p95": 960.8,
        "p99": 960.8
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 167,
        "Fuzz FixedPrice": 149,
        "Fuzz Minute": 184
      },
      "errors": {
        "ECONNREFUSED": 501
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 6211,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:57:41.132Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 4,
      "requestsCompleted": 76,
      "latency": {
        "min": 288.6,
        "max": 1605.6,
        "median": 937.2,
        "p95": 1457.6,
        "p99": 1594.9
      },
      "rps": {
        "count": 570,
        "mean": 57
      },
      "scenarioDuration": {
        "min": 3293.3,
        "max": 3405.3,
        "median": 3295.3,
        "p95": 3405.3,
        "p99": 3405.3
      },
      "scenarioCounts": {
        "Fuzz Minute": 179,
        "Fuzz FixedPrice": 142,
        "Fuzz Spec": 179
      },
      "errors": {
        "ECONNREFUSED": 485
      },
      "codes": {
        "200": 6,
        "302": 70
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 11,
      "pendingRequests": 6705,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:57:51.131Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 10,
      "requestsCompleted": 97,
      "latency": {
        "min": 275.6,
        "max": 1189.8,
        "median": 922.8,
        "p95": 1070.1,
        "p99": 1158.3
      },
      "rps": {
        "count": 587,
        "mean": 58.7
      },
      "scenarioDuration": {
        "min": 3243,
        "max": 3599.3,
        "median": 3270.7,
        "p95": 3599.3,
        "p99": 3599.3
      },
      "scenarioCounts": {
        "Fuzz Minute": 182,
        "Fuzz Spec": 159,
        "Fuzz FixedPrice": 159
      },
      "errors": {
        "ECONNREFUSED": 491
      },
      "codes": {
        "200": 10,
        "302": 87
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 10,
      "pendingRequests": 7195,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:58:01.131Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 12,
      "requestsCompleted": 99,
      "latency": {
        "min": 277.4,
        "max": 1407.7,
        "median": 937,
        "p95": 1100.8,
        "p99": 1333.5
      },
      "rps": {
        "count": 588,
        "mean": 58.8
      },
      "scenarioDuration": {
        "min": 3209.2,
        "max": 3366.3,
        "median": 3262.8,
        "p95": 3366.3,
        "p99": 3366.3
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 159,
        "Fuzz Spec": 167,
        "Fuzz Minute": 174
      },
      "errors": {
        "ECONNREFUSED": 486
      },
      "codes": {
        "200": 11,
        "302": 88
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 12,
      "pendingRequests": 7684,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:58:11.130Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 11,
      "requestsCompleted": 104,
      "latency": {
        "min": 278,
        "max": 2054.3,
        "median": 924.5,
        "p95": 1048.8,
        "p99": 1523.4
      },
      "rps": {
        "count": 593,
        "mean": 59.3
      },
      "scenarioDuration": {
        "min": 3233.3,
        "max": 4404.3,
        "median": 3294.3,
        "p95": 4351.9,
        "p99": 4404.3
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 165,
        "Fuzz Spec": 160,
        "Fuzz Minute": 175
      },
      "errors": {
        "ECONNREFUSED": 491
      },
      "codes": {
        "200": 11,
        "302": 93
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 10,
      "pendingRequests": 8173,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:58:21.130Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 8,
      "requestsCompleted": 93,
      "latency": {
        "min": 283.9,
        "max": 1635.8,
        "median": 950.4,
        "p95": 1195.8,
        "p99": 1482.6
      },
      "rps": {
        "count": 583,
        "mean": 58.3
      },
      "scenarioDuration": {
        "min": 3261.3,
        "max": 3480.4,
        "median": 3351.8,
        "p95": 3480.4,
        "p99": 3480.4
      },
      "scenarioCounts": {
        "Fuzz Spec": 167,
        "Fuzz Minute": 176,
        "Fuzz FixedPrice": 157
      },
      "errors": {
        "ECONNREFUSED": 484
      },
      "codes": {
        "200": 10,
        "302": 83
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 18,
      "pendingRequests": 8663,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:58:31.129Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 13,
      "requestsCompleted": 107,
      "latency": {
        "min": 271.7,
        "max": 1734.8,
        "median": 975,
        "p95": 1449.2,
        "p99": 1685
      },
      "rps": {
        "count": 597,
        "mean": 59.7
      },
      "scenarioDuration": {
        "min": 3256.3,
        "max": 3797.3,
        "median": 3357.3,
        "p95": 3792.6,
        "p99": 3797.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 162,
        "Fuzz FixedPrice": 175,
        "Fuzz Minute": 163
      },
      "errors": {
        "ECONNREFUSED": 495
      },
      "codes": {
        "200": 10,
        "302": 97
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 10,
      "pendingRequests": 9153,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:58:41.129Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 7,
      "requestsCompleted": 112,
      "latency": {
        "min": 274.6,
        "max": 1594.2,
        "median": 932.4,
        "p95": 1329.6,
        "p99": 1592.6
      },
      "rps": {
        "count": 603,
        "mean": 60.3
      },
      "scenarioDuration": {
        "min": 3273.3,
        "max": 3949.3,
        "median": 3316.3,
        "p95": 3949.3,
        "p99": 3949.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 161,
        "Fuzz Minute": 172,
        "Fuzz FixedPrice": 167
      },
      "errors": {
        "ECONNREFUSED": 480
      },
      "codes": {
        "200": 9,
        "302": 103
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 23,
      "pendingRequests": 9644,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:58:51.128Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 104,
      "requestsCompleted": 143,
      "latency": {
        "min": 297.4,
        "max": 1246.7,
        "median": 478.9,
        "p95": 547.8,
        "p99": 1214.4
      },
      "rps": {
        "count": 503,
        "mean": 50.3
      },
      "scenarioDuration": {
        "min": 2446.9,
        "max": 3573.3,
        "median": 2499.3,
        "p95": 2567.9,
        "p99": 3481
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 167,
        "Fuzz Spec": 165,
        "Fuzz Minute": 168
      },
      "errors": {
        "ECONNREFUSED": 302
      },
      "codes": {
        "200": 140,
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 117,
      "pendingRequests": 10004,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:59:01.128Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 73,
      "requestsCompleted": 80,
      "latency": {
        "min": 446.2,
        "max": 20632.6,
        "median": 13045.6,
        "p95": 20196.6,
        "p99": 20612.2
      },
      "rps": {
        "count": 545,
        "mean": 54.5
      },
      "scenarioDuration": {
        "min": 2451,
        "max": 2588.3,
        "median": 2500.4,
        "p95": 2548.2,
        "p99": 2586
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 152,
        "Fuzz Spec": 180,
        "Fuzz Minute": 168
      },
      "errors": {
        "ECONNREFUSED": 517
      },
      "codes": {
        "200": 35,
        "302": 45
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 27,
      "pendingRequests": 10469,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:59:11.127Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 28,
      "latency": {
        "min": 1051.6,
        "max": 21317.3,
        "median": 19349.2,
        "p95": 21080.4,
        "p99": 21317.3
      },
      "rps": {
        "count": 528,
        "mean": 52.8
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 168,
        "Fuzz Spec": 157,
        "Fuzz Minute": 175
      },
      "errors": {
        "ECONNREFUSED": 525
      },
      "codes": {
        "302": 28
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2,
      "pendingRequests": 10969,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:59:21.128Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 4,
      "latency": {
        "min": 1060.4,
        "max": 1102.4,
        "median": 1092.1,
        "p95": 1102.4,
        "p99": 1102.4
      },
      "rps": {
        "count": 504,
        "mean": 50.4
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 154,
        "Fuzz Spec": 168,
        "Fuzz Minute": 178
      },
      "errors": {
        "ECONNREFUSED": 501
      },
      "codes": {
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 11469,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:59:31.127Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 3,
      "latency": {
        "min": 1015.8,
        "max": 1535.3,
        "median": 1158.4,
        "p95": 1535.3,
        "p99": 1535.3
      },
      "rps": {
        "count": 503,
        "mean": 50.35
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 150,
        "Fuzz Spec": 183,
        "Fuzz Minute": 167
      },
      "errors": {
        "ECONNREFUSED": 501
      },
      "codes": {
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 11969,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:59:41.126Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1230.5,
        "max": 1230.5,
        "median": 1230.5,
        "p95": 1230.5,
        "p99": 1230.5
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 170,
        "Fuzz Spec": 177,
        "Fuzz FixedPrice": 153
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 12469,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T08:59:51.126Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 165,
        "Fuzz Minute": 166,
        "Fuzz Spec": 169
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 12969,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:00:01.128Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1145.3,
        "max": 1145.3,
        "median": 1145.3,
        "p95": 1145.3,
        "p99": 1145.3
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 178,
        "Fuzz Minute": 161,
        "Fuzz FixedPrice": 161
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 13469,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:00:11.125Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 159,
        "Fuzz Spec": 156,
        "Fuzz Minute": 185
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 13969,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:00:21.124Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 167,
        "Fuzz Minute": 157,
        "Fuzz Spec": 176
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 14469,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:00:31.124Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 188,
        "Fuzz FixedPrice": 150,
        "Fuzz Minute": 162
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 14969,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:00:41.123Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1104.5,
        "max": 1104.5,
        "median": 1104.5,
        "p95": 1104.5,
        "p99": 1104.5
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 178,
        "Fuzz Spec": 158,
        "Fuzz Minute": 164
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 15469,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:00:51.123Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 2,
      "latency": {
        "min": 1107.7,
        "max": 1129.8,
        "median": 1118.8,
        "p95": 1129.8,
        "p99": 1129.8
      },
      "rps": {
        "count": 502,
        "mean": 50.2
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 144,
        "Fuzz Spec": 177,
        "Fuzz Minute": 179
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 15969,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:01:01.122Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 190,
        "Fuzz FixedPrice": 158,
        "Fuzz Spec": 152
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 16469,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:01:11.122Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 175,
        "Fuzz Spec": 164,
        "Fuzz FixedPrice": 161
      },
      "errors": {
        "ECONNREFUSED": 492
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 8,
      "pendingRequests": 16969,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:01:21.121Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1399.5,
        "max": 1399.5,
        "median": 1399.5,
        "p95": 1399.5,
        "p99": 1399.5
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 174,
        "Fuzz Minute": 153,
        "Fuzz Spec": 173
      },
      "errors": {
        "ECONNREFUSED": 507
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 17469,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:01:31.121Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1396.9,
        "max": 1396.9,
        "median": 1396.9,
        "p95": 1396.9,
        "p99": 1396.9
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 165,
        "Fuzz Minute": 172,
        "Fuzz FixedPrice": 163
      },
      "errors": {
        "ECONNREFUSED": 501
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 17969,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:01:41.122Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 3,
      "requestsCompleted": 68,
      "latency": {
        "min": 268.7,
        "max": 1363.3,
        "median": 1108.3,
        "p95": 1328.7,
        "p99": 1357.3
      },
      "rps": {
        "count": 560,
        "mean": 56
      },
      "scenarioDuration": {
        "min": 3430.3,
        "max": 3450.3,
        "median": 3450.3,
        "p95": 3450.3,
        "p99": 3450.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 156,
        "Fuzz Minute": 150,
        "Fuzz FixedPrice": 194
      },
      "errors": {
        "ECONNREFUSED": 483
      },
      "codes": {
        "200": 8,
        "302": 60
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 14,
      "pendingRequests": 18461,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:01:51.120Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 16,
      "requestsCompleted": 98,
      "latency": {
        "min": 274.4,
        "max": 1497.9,
        "median": 1087.2,
        "p95": 1309.6,
        "p99": 1450.6
      },
      "rps": {
        "count": 584,
        "mean": 58.4
      },
      "scenarioDuration": {
        "min": 3387.3,
        "max": 3722.1,
        "median": 3477.3,
        "p95": 3693.6,
        "p99": 3722.1
      },
      "scenarioCounts": {
        "Fuzz Minute": 173,
        "Fuzz Spec": 153,
        "Fuzz FixedPrice": 174
      },
      "errors": {
        "ECONNREFUSED": 487
      },
      "codes": {
        "200": 14,
        "302": 84
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 11,
      "pendingRequests": 18947,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:02:01.120Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 9,
      "requestsCompleted": 99,
      "latency": {
        "min": 268.5,
        "max": 2691.6,
        "median": 1076.3,
        "p95": 1318.9,
        "p99": 2471.2
      },
      "rps": {
        "count": 589,
        "mean": 58.9
      },
      "scenarioDuration": {
        "min": 3342.5,
        "max": 3516.9,
        "median": 3396.3,
        "p95": 3516.9,
        "p99": 3516.9
      },
      "scenarioCounts": {
        "Fuzz Minute": 158,
        "Fuzz Spec": 159,
        "Fuzz FixedPrice": 183
      },
      "errors": {
        "ECONNREFUSED": 491
      },
      "codes": {
        "200": 10,
        "302": 89
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 11,
      "pendingRequests": 19437,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:02:11.119Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 12,
      "requestsCompleted": 97,
      "latency": {
        "min": 296.4,
        "max": 1811.3,
        "median": 1051.3,
        "p95": 1372.9,
        "p99": 1759.6
      },
      "rps": {
        "count": 587,
        "mean": 58.7
      },
      "scenarioDuration": {
        "min": 3312.2,
        "max": 3973.3,
        "median": 3414,
        "p95": 3947.1,
        "p99": 3973.3
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 188,
        "Fuzz Spec": 163,
        "Fuzz Minute": 149
      },
      "errors": {
        "ECONNREFUSED": 484
      },
      "codes": {
        "200": 10,
        "302": 87
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 15,
      "pendingRequests": 19927,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:02:21.118Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 11,
      "requestsCompleted": 103,
      "latency": {
        "min": 293.7,
        "max": 2372.1,
        "median": 1070.1,
        "p95": 1428.8,
        "p99": 1967.1
      },
      "rps": {
        "count": 592,
        "mean": 59.2
      },
      "scenarioDuration": {
        "min": 3348.3,
        "max": 3639.3,
        "median": 3508.3,
        "p95": 3638.7,
        "p99": 3639.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 179,
        "Fuzz Minute": 169,
        "Fuzz FixedPrice": 152
      },
      "errors": {
        "ECONNREFUSED": 499
      },
      "codes": {
        "200": 11,
        "302": 92
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5,
      "pendingRequests": 20416,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:02:31.118Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 12,
      "requestsCompleted": 96,
      "latency": {
        "min": 278.1,
        "max": 1642.9,
        "median": 1074.9,
        "p95": 1374,
        "p99": 1582.8
      },
      "rps": {
        "count": 585,
        "mean": 58.5
      },
      "scenarioDuration": {
        "min": 3305.4,
        "max": 4022.2,
        "median": 3549.8,
        "p95": 3984.7,
        "p99": 4022.2
      },
      "scenarioCounts": {
        "Fuzz Spec": 167,
        "Fuzz Minute": 169,
        "Fuzz FixedPrice": 164
      },
      "errors": {
        "ECONNREFUSED": 478
      },
      "codes": {
        "200": 11,
        "302": 85
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 15,
      "pendingRequests": 20905,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:02:41.118Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 13,
      "requestsCompleted": 102,
      "latency": {
        "min": 277.5,
        "max": 1960.7,
        "median": 1157.2,
        "p95": 1603.8,
        "p99": 1835
      },
      "rps": {
        "count": 590,
        "mean": 59
      },
      "scenarioDuration": {
        "min": 3323.3,
        "max": 4322.2,
        "median": 3662.3,
        "p95": 4286,
        "p99": 4322.2
      },
      "scenarioCounts": {
        "Fuzz Spec": 173,
        "Fuzz Minute": 155,
        "Fuzz FixedPrice": 172
      },
      "errors": {
        "ECONNREFUSED": 480
      },
      "codes": {
        "200": 12,
        "302": 90
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 22,
      "pendingRequests": 21393,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:02:51.117Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 16,
      "requestsCompleted": 146,
      "latency": {
        "min": 268.2,
        "max": 1546.6,
        "median": 1095.9,
        "p95": 1345.3,
        "p99": 1538.3
      },
      "rps": {
        "count": 626,
        "mean": 62.6
      },
      "scenarioDuration": {
        "min": 3427.3,
        "max": 3998.3,
        "median": 3511.7,
        "p95": 3974.5,
        "p99": 3998.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 168,
        "Fuzz FixedPrice": 166,
        "Fuzz Minute": 166
      },
      "errors": {
        "ECONNREFUSED": 484
      },
      "codes": {
        "200": 20,
        "302": 126
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 22,
      "pendingRequests": 21873,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:03:01.116Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 14,
      "requestsCompleted": 69,
      "latency": {
        "min": 280.6,
        "max": 1375.6,
        "median": 1084.2,
        "p95": 1254.5,
        "p99": 1356.7
      },
      "rps": {
        "count": 559,
        "mean": 55.9
      },
      "scenarioDuration": {
        "min": 3428.5,
        "max": 3655.3,
        "median": 3465.3,
        "p95": 3639.1,
        "p99": 3655.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 154,
        "Fuzz Minute": 180,
        "Fuzz FixedPrice": 166
      },
      "errors": {
        "ECONNREFUSED": 480
      },
      "codes": {
        "200": 10,
        "302": 59
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 28,
      "pendingRequests": 22363,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:03:11.116Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 5,
      "requestsCompleted": 59,
      "latency": {
        "min": 276.3,
        "max": 1467.3,
        "median": 1173.7,
        "p95": 1363.3,
        "p99": 1466.6
      },
      "rps": {
        "count": 554,
        "mean": 55.4
      },
      "scenarioDuration": {
        "min": 3390.3,
        "max": 3651.3,
        "median": 3521.4,
        "p95": 3651.3,
        "p99": 3651.3
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 178,
        "Fuzz Minute": 154,
        "Fuzz Spec": 168
      },
      "errors": {
        "ECONNREFUSED": 523
      },
      "codes": {
        "200": 5,
        "302": 54
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 22858,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:03:21.115Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 2,
      "latency": {
        "min": 1038.4,
        "max": 1066.5,
        "median": 1052.5,
        "p95": 1066.5,
        "p99": 1066.5
      },
      "rps": {
        "count": 502,
        "mean": 50.2
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 175,
        "Fuzz FixedPrice": 166,
        "Fuzz Spec": 159
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 23358,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:03:31.115Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 8,
      "latency": {
        "min": 981.8,
        "max": 1231.1,
        "median": 1061,
        "p95": 1231.1,
        "p99": 1231.1
      },
      "rps": {
        "count": 508,
        "mean": 50.8
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 174,
        "Fuzz FixedPrice": 164,
        "Fuzz Minute": 162
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 8
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 23858,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:03:41.114Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1148.6,
        "max": 1148.6,
        "median": 1148.6,
        "p95": 1148.6,
        "p99": 1148.6
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 167,
        "Fuzz Spec": 148,
        "Fuzz FixedPrice": 185
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 24358,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:03:51.114Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 2,
      "latency": {
        "min": 1236,
        "max": 1236.4,
        "median": 1236.2,
        "p95": 1236.4,
        "p99": 1236.4
      },
      "rps": {
        "count": 502,
        "mean": 50.2
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 173,
        "Fuzz FixedPrice": 162,
        "Fuzz Spec": 165
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 24858,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:04:01.114Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1113.6,
        "max": 1113.6,
        "median": 1113.6,
        "p95": 1113.6,
        "p99": 1113.6
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 169,
        "Fuzz Spec": 172,
        "Fuzz Minute": 159
      },
      "errors": {
        "ECONNREFUSED": 499
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 25358,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:04:11.113Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 2,
      "latency": {
        "min": 1109.3,
        "max": 10306.8,
        "median": 5708,
        "p95": 10306.8,
        "p99": 10306.8
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 12358.6,
        "max": 12358.6,
        "median": 12358.6,
        "p95": 12358.6,
        "p99": 12358.6
      },
      "scenarioCounts": {
        "Fuzz Spec": 178,
        "Fuzz Minute": 178,
        "Fuzz FixedPrice": 144
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 1,
        "500": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 25857,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:04:21.113Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.05
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 168,
        "Fuzz Spec": 168,
        "Fuzz FixedPrice": 164
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 26357,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:04:31.111Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 156,
        "Fuzz FixedPrice": 162,
        "Fuzz Minute": 182
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 26857,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:04:41.111Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1140.8,
        "max": 1140.8,
        "median": 1140.8,
        "p95": 1140.8,
        "p99": 1140.8
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 176,
        "Fuzz FixedPrice": 162,
        "Fuzz Spec": 162
      },
      "errors": {
        "ECONNREFUSED": 499
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 27357,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:04:51.110Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 3,
      "latency": {
        "min": 1123.9,
        "max": 1346.4,
        "median": 1146.4,
        "p95": 1346.4,
        "p99": 1346.4
      },
      "rps": {
        "count": 503,
        "mean": 50.3
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 169,
        "Fuzz Spec": 154,
        "Fuzz FixedPrice": 177
      },
      "errors": {
        "ECONNREFUSED": 501
      },
      "codes": {
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 27857,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:05:01.110Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 162,
        "Fuzz FixedPrice": 183,
        "Fuzz Spec": 155
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 28357,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:05:11.110Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Minute": 166,
        "Fuzz FixedPrice": 172,
        "Fuzz Spec": 162
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 28857,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:05:21.109Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1126.4,
        "max": 1126.4,
        "median": 1126.4,
        "p95": 1126.4,
        "p99": 1126.4
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 160,
        "Fuzz Minute": 162,
        "Fuzz Spec": 178
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 29357,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:05:31.109Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1093.2,
        "max": 1093.2,
        "median": 1093.2,
        "p95": 1093.2,
        "p99": 1093.2
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "Fuzz Spec": 177,
        "Fuzz Minute": 141,
        "Fuzz FixedPrice": 182
      },
      "errors": {
        "ECONNREFUSED": 500
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 29857,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:05:41.109Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 54,
      "latency": {
        "min": 288.2,
        "max": 1622.2,
        "median": 1148.1,
        "p95": 1494.3,
        "p99": 1621.7
      },
      "rps": {
        "count": 552,
        "mean": 55.2
      },
      "scenarioDuration": {
        "min": 3738.5,
        "max": 3738.5,
        "median": 3738.5,
        "p95": 3738.5,
        "p99": 3738.5
      },
      "scenarioCounts": {
        "Fuzz Spec": 174,
        "Fuzz FixedPrice": 159,
        "Fuzz Minute": 167
      },
      "errors": {
        "ECONNREFUSED": 487
      },
      "codes": {
        "200": 2,
        "302": 52
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 12,
      "pendingRequests": 30355,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:05:51.108Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 6,
      "requestsCompleted": 101,
      "latency": {
        "min": 286.7,
        "max": 1447.4,
        "median": 1084.3,
        "p95": 1315.1,
        "p99": 1405.2
      },
      "rps": {
        "count": 595,
        "mean": 59.5
      },
      "scenarioDuration": {
        "min": 3405.3,
        "max": 3666.3,
        "median": 3414.8,
        "p95": 3666.3,
        "p99": 3666.3
      },
      "scenarioCounts": {
        "Fuzz FixedPrice": 155,
        "Fuzz Spec": 175,
        "Fuzz Minute": 170
      },
      "errors": {
        "ECONNREFUSED": 497
      },
      "codes": {
        "200": 6,
        "302": 95
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 9,
      "pendingRequests": 30849,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:06:01.107Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 6,
      "requestsCompleted": 92,
      "latency": {
        "min": 288.5,
        "max": 1646.6,
        "median": 1161.9,
        "p95": 1536.1,
        "p99": 1630.6
      },
      "rps": {
        "count": 585,
        "mean": 58.5
      },
      "scenarioDuration": {
        "min": 3401.3,
        "max": 4176.7,
        "median": 3417.2,
        "p95": 4176.7,
        "p99": 4176.7
      },
      "scenarioCounts": {
        "Fuzz Minute": 169,
        "Fuzz Spec": 162,
        "Fuzz FixedPrice": 169
      },
      "errors": {
        "ECONNREFUSED": 488
      },
      "codes": {
        "200": 7,
        "302": 85
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 15,
      "pendingRequests": 31342,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:06:11.111Z",
      "scenariosCreated": 501,
      "scenariosCompleted": 13,
      "requestsCompleted": 102,
      "latency": {
        "min": 278.3,
        "max": 1548.5,
        "median": 1069.1,
        "p95": 1315.6,
        "p99": 1517.6
      },
      "rps": {
        "count": 589,
        "mean": 58.9
      },
      "scenarioDuration": {
        "min": 3396.3,
        "max": 4278.3,
        "median": 3459.6,
        "p95": 4262.4,
        "p99": 4278.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 177,
        "Fuzz FixedPrice": 169,
        "Fuzz Minute": 155
      },
      "errors": {
        "ECONNREFUSED": 489
      },
      "codes": {
        "200": 13,
        "302": 89
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 14,
      "pendingRequests": 31829,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:06:21.110Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 12,
      "requestsCompleted": 99,
      "latency": {
        "min": 268.5,
        "max": 1621.8,
        "median": 1095.1,
        "p95": 1493.8,
        "p99": 1595.6
      },
      "rps": {
        "count": 588,
        "mean": 58.8
      },
      "scenarioDuration": {
        "min": 3393.3,
        "max": 3645.3,
        "median": 3481.3,
        "p95": 3645.3,
        "p99": 3645.3
      },
      "scenarioCounts": {
        "Fuzz Spec": 164,
        "Fuzz Minute": 172,
        "Fuzz FixedPrice": 164
      },
      "errors": {
        "ECONNREFUSED": 486
      },
      "codes": {
        "200": 12,
        "302": 87
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 16,
      "pendingRequests": 32318,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:06:31.110Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 9,
      "requestsCompleted": 101,
      "latency": {
        "min": 267.6,
        "max": 1609.9,
        "median": 1113.5,
        "p95": 1373.6,
        "p99": 1568.3
      },
      "rps": {
        "count": 592,
        "mean": 59.32
      },
      "scenarioDuration": {
        "min": 3413.3,
        "max": 3961.1,
        "median": 3461.9,
        "p95": 3961.1,
        "p99": 3961.1
      },
      "scenarioCounts": {
        "Fuzz Minute": 168,
        "Fuzz Spec": 170,
        "Fuzz FixedPrice": 162
      },
      "errors": {
        "ECONNREFUSED": 496
      },
      "codes": {
        "200": 9,
        "302": 92
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 11,
      "pendingRequests": 32809,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:06:41.115Z",
      "scenariosCreated": 26,
      "scenariosCompleted": 12,
      "requestsCompleted": 23,
      "latency": {
        "min": 278.4,
        "max": 1429.3,
        "median": 1034.7,
        "p95": 1387.4,
        "p99": 1429.3
      },
      "rps": {
        "count": 39,
        "mean": 3.9
      },
      "scenarioDuration": {
        "min": 3389.5,
        "max": 3741.6,
        "median": 3455.5,
        "p95": 3740.8,
        "p99": 3741.6
      },
      "scenarioCounts": {
        "Fuzz Minute": 4,
        "Fuzz Spec": 10,
        "Fuzz FixedPrice": 12
      },
      "errors": {
        "ECONNREFUSED": 24
      },
      "codes": {
        "200": 10,
        "302": 13
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:06:51.116Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:07:01.117Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:07:11.120Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:07:21.125Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:07:31.126Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:07:41.131Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:07:51.135Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-20T09:07:53.029Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 1
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 32825,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
